<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.PluginInformation.new_from_file &ndash; librygel-core &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.PluginInformation.new_from_file &ndash; librygel-core Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-core</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.PluginInformation.html">PluginInformation</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="property"><a href="Rygel.PluginInformation.module_path.html">module_path</a></li>
          <li class="property"><a href="Rygel.PluginInformation.name.html">name</a></li>
          <li class="static_method">new_from_file</li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">new_from_file</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <span class="main_keyword">static</span> <span class="main_type"><a href="Rygel.PluginInformation.html" class="class">PluginInformation</a></span> <b><span class="static_method">new_from_file</span></b> (<span class="main_type"><span class="interface">File</span></span> file) <span class="main_keyword">throws</span> <span class="main_type"><span class="class">Error</span></span>
        </div>
        <div class="description">
          <p>Factory method to create a #RygelPluginInformation from #GFile.</p>
          <h2 class="main_title">Parameters:</h2>
          <table class="main_parameter_table">
            <tr>
              <td class="main_parameter_table_name">file</td>
              <td>
                <p>a #GFile pointing to the sidecar file </p>
              </td>
            </tr>
          </table>
          <h2 class="main_title">Returns:</h2>
          <table class="main_parameter_table">
            <tr>
              <td>
                <p>A new instance of #RygelPluginInformation </p>
              </td>
            </tr>
          </table>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>